Name:		perl-Params-Util
Summary:        Simple, compact and correct param-checking functions
Version:	1.07
Release:	26
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Params-Util
Source0:	https://cpan.metacpan.org/authors/id/A/AD/ADAMK/Params-Util-%{version}.tar.gz

BuildRequires:	perl-interpreter perl-devel perl-generators gcc %{__perl} %{__make}
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.52 perl(File::Spec) >= 0.82
BuildRequires:	perl(File::Temp) perl(Config) perl(strict)
BuildRequires:	perl(DynaLoader) perl(Exporter) perl(overload) perl(vars)
BuildRequires:	perl(Test::More) >= 0.47  perl(File::Spec::Functions)

Requires:	perl(Scalar::Util) >= 1.18
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Params::Util provides a basic set of importable functions that makes
checking parameters a hell of a lot easier.

While they can be (and are) used in other contexts, the main point
behind this module is that the functions both Do What You Mean, and Do
The Right Thing, so they are most useful when you are getting params
passed into your code from someone and/or somewhere else and you can't
really trust the quality.

%package_help

%prep
%autosetup -p1 -n Params-Util-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS" NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%check
make test AUTOMATED_TESTING=1

%files
%license LICENSE
%{perl_vendorarch}/Params
%{perl_vendorarch}/auto/*

%files help
%doc Changes
%{_mandir}/man3/*

%changelog
* Tue Nov 19 2019 caomeng<caomeng5@huawei.com> - 1.07-26
- Package init
